QuantLib: AnalyticPDFHestonEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AnalyticPDFHestonEngine Class Reference

Analytic engine for arbitrary European payoffs under the Heston model. More...

`#include <ql/experimental/exoticoptions/analyticpdfhestonengine.hpp>`

Inheritance diagram for AnalyticPDFHestonEngine:
[legend]

## Public Member Functions
| AnalyticPDFHestonEngine (const boost::shared_ptr< HestonModel > &model, Real gaussLobattoEps=1e-6, Size gaussLobattoIntegrationOrder=10000ul)
void | calculate () const
Real | Pv (Real x_t, Time t) const
Real | cdf (Real s, Time t) const
Public Member Functions inherited from GenericModelEngine< HestonModel, VanillaOption::arguments, VanillaOption::results >
| GenericModelEngine (const Handle< HestonModel > &model=Handle< HestonModel >())
| GenericModelEngine (const boost::shared_ptr< HestonModel > &model)
Public Member Functions inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members
Protected Attributes inherited from GenericModelEngine< HestonModel, VanillaOption::arguments, VanillaOption::results >
Handle< HestonModel > | model_
Protected Attributes inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
VanillaOption::arguments | arguments_
VanillaOption::results | results_

## Detailed Description

Analytic engine for arbitrary European payoffs under the Heston model.

References:

The formulas are taken from A. Dragulescu, V. Yakovenko, 2002. Probability distribution of returns in the Heston model with stochastic volatility. http://arxiv.org/pdf/cond-mat/0203046.pdf

Tests:
  the correctness of the returned value is tested by reproducing digital prices using call spreads and the AnalyticHestonEngine.